websocket-sharp System.Object System.IDisposable Implements the WebSocket interface. The WebSocket class provides methods and properties for two-way communication using the WebSocket protocol (RFC 6455).
- Constructor
  System.ParamArray
  A that contains a WebSocket URL.
  An array of that contains the WebSocket subprotocols if any.
  Initializes a new instance of the class with the specified WebSocket URL and subprotocols.
  is .
  is not valid WebSocket URL.
- Constructor
  System.ParamArray
  A that contains a WebSocket URL.
  An event handler.
  An event handler.
  An event handler.
  An event handler.
  An array of that contains the WebSocket subprotocols if any.
  Initializes a new instance of the class with the specified WebSocket URL, OnOpen, OnMessage, OnError, OnClose event handlers and subprotocols.
  This constructor initializes a new instance of the class and establishes a WebSocket connection.
  is .
  is not valid WebSocket URL.
- Method
  System.Void Closes the WebSocket connection and releases all associated resources. To be added.
- Method
  System.Void `` A that indicates the status code for closure. Closes the WebSocket connection with the specified and releases all associated resources. Emits a event if is not in the allowable range of the WebSocket close status code, and do nothing any more.
- Method
  System.Void `` One of the values that indicates the status code for closure. Closes the WebSocket connection with the specified and releases all associated resources. To be added.
- Method
  System.Void `` `` A that indicates the status code for closure. A that contains the reason for closure. Closes the WebSocket connection with the specified and , and releases all associated resources. Emits a event if is not in the allowable range of the WebSocket close status code, and do nothing any more.
- Method
  System.Void `` `` One of the values that indicates the status code for closure. A that contains the reason for closure. Closes the WebSocket connection with the specified and , and releases all associated resources. To be added.
- Method
  System.Void Establishes a WebSocket connection. To be added.
- Property
  System.Collections.Generic.IEnumerable<WebSocketSharp.Net.Cookie> Gets the cookies used in the WebSocket opening handshake. An IEnumerable<Cookie> interface that provides an enumerator which supports the iteration over the collection of cookies. To be added.
- Method
  System.Void Closes the WebSocket connection and releases all associated resources. This method closes the WebSocket connection with the .
- Property
  System.String Gets the extensions selected by the server. A that contains the extensions if any. By default, String.Empty. (Currently this will only ever be the String.Empty.) To be added.
- Property
  System.Boolean Gets a value indicating whether a connection is alive. true if the connection is alive; otherwise, false. To be added.
- Property
  System.Boolean Gets a value indicating whether a connection is secure. true if the connection is secure; otherwise, false. To be added.
- Event
  System.EventHandler<WebSocketSharp.CloseEventArgs> Occurs when the receives a Close frame or the Close method is called. To be added.
- Event
  System.EventHandler<WebSocketSharp.ErrorEventArgs> Occurs when the gets an error. To be added.
- Event
  System.EventHandler<WebSocketSharp.MessageEventArgs> Occurs when the receives a data frame. To be added.
- Event
  System.EventHandler Occurs when the WebSocket connection has been established. To be added.
- Method
  System.Boolean Pings using the WebSocket connection. true if the receives a Pong in a time; otherwise, false. To be added.
- Method
  System.Boolean `` A that contains a message. Pings with the specified using the WebSocket connection. true if the receives a Pong in a time; otherwise, false. To be added.
- Property
  System.String Gets the subprotocol selected by the server. A that contains the subprotocol if any. By default, String.Empty. To be added.
- Property
  WebSocketSharp.WsState Gets the state of the connection. One of the . By default, WsState.CONNECTING. To be added.
- Method
  System.Void `` An array of that contains a binary data to send. Sends a binary using the WebSocket connection. To be added.
- Method
  System.Void `` A that contains a binary data to send. Sends a binary data using the WebSocket connection. To be added.
- Method
  System.Void `` A that contains a text data to send. Sends a text using the WebSocket connection. To be added.
- Method
  System.Void `` `` An array of that contains a binary data to send. An delegate that references the method(s) called when the asynchronous operation completes. Sends a binary asynchronously using the WebSocket connection. To be added.
- Method
  System.Void `` `` A that contains a binary data to send. An delegate that references the method(s) called when the asynchronous operation completes. Sends a binary data asynchronously using the WebSocket connection. To be added.
- Method
  System.Void `` `` A that contains a text data to send. An delegate that references the method(s) called when the asynchronous operation completes. Sends a text asynchronously using the WebSocket connection. To be added.
- Method
  System.Void `` A that contains an HTTP Cookie to set. Sets a used in the WebSocket opening handshake. To be added.
- Property
  System.Uri Gets the WebSocket URL. A that contains the WebSocket URL. To be added.